## org.apache.batik.css.parser
Class CSSSelectorList

    java.lang.Object
      org.apache.batik.css.parser.CSSSelectorList

All Implemented Interfaces:
  SelectorList

public class CSSSelectorList
extends java.lang.Object
implements SelectorList

This class implements the `SelectorList` interface.

Field Summary
`protected int` `length` The list length.
`protected Selector[]` `list` The list.

Constructor Summary
`CSSSelectorList()`

Method Summary
`void` `append(Selector item)` Appends an item to the list.
`int` `getLength()` SAC: Returns the length of this selector list
`Selector` `item(int index)` SAC: Returns the selector at the specified index, or `null` if this is not a valid index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected Selector[] list

  The list.

### length

    protected int length

  The list length.

Constructor Detail

### CSSSelectorList

    public CSSSelectorList()

Method Detail

### getLength

    public int getLength()

  SAC: Returns the length of this selector list

  Specified by:
    `getLength` in interface `SelectorList`

### item

    public Selector item(int index)

  SAC: Returns the selector at the specified index, or `null` if this is not a valid index.

  Specified by:
    `item` in interface `SelectorList`

### append

    public void append(Selector item)

  Appends an item to the list.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.